com.amazonaws.codegen.customization

## Interface CodegenCustomizationProcessor

All Known Implementing Classes:
  CodegenCustomizationProcessorChain, MetadataModifiersProcessor, RemoveExceptionMessagePropertyProcessor, RenameShapesProcessor, SendEmptyAutoConstructedListAsEmptyListProcessor, SendEmptyNonAutoConstructedListAsEmptyListProcessor

    public interface CodegenCustomizationProcessor

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `postprocess(IntermediateModel intermediateModel)` Apply the customization after the intermediate model is built
`void` `preprocess(ServiceModel serviceModel)` Apply the customization by directly modifying the service model, before the intermediate model is built.

### Method Detail

#### preprocess

    void preprocess(ServiceModel serviceModel)

Apply the customization by directly modifying the service model, before the intermediate model is built.

#### postprocess

    void postprocess(IntermediateModel intermediateModel)

Apply the customization after the intermediate model is built